PeopleForce
Departments

Create department

POST
/api/public/v3/departments

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v3/departments" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'name=string'
{  "data": {    "id": 0,    "name": "string",    "parent_id": 0,    "manager_id": 0,    "department_level": {      "id": 0,      "name": "string",      "hex_color": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "ancestors": [      {        "id": 0,        "name": "string",        "department_level": {          "id": 0,          "name": "string",          "hex_color": "string"        }      }    ],    "fields": {      "property1": {        "name": "string",        "value": "string"      },      "property2": {        "name": "string",        "value": "string"      }    }  }}